pcl::PointXY Struct Reference
Module common

A 2D point structure representing Euclidean xy coordinates. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PointXY ()=default
| PointXY (float _x, float _y)

## Public Attributes

float | x = 0.f
float | y = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXY &p)

## Detailed Description

A 2D point structure representing Euclidean xy coordinates.

Definition at line 831 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXY() [1/2]

pcl::PointXY::PointXY | ( |  | ) |

inline default

## PointXY() [2/2]

pcl::PointXY::PointXY | ( | float | _x,
|  | float | _y
| ) |  |

inline

Definition at line 838 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXY & | p
| ) |  |

friend

## Member Data Documentation

## x

float pcl::PointXY::x = 0.f

Definition at line 833 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::isFinite< pcl::PointXY >(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## y

float pcl::PointXY::y = 0.f

Definition at line 834 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::isFinite< pcl::PointXY >(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp